@charset "UTF-8";
html,
body {
  display: border-box;
  font-family: 'Microsoft JhengHei' 、sans-serif;
  width: 100vw;
  height: 100vh;
  background-color: aquamarine;
}

html .logo,
body .logo {
  position: absolute;
  padding: 0.4rem;
  z-index: 99;
  font-size: 28px;
}

html .bg,
body .bg {
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: linear-gradient(57.4deg, #f9ceb7 4.6%, #eaaeca 26%, #d2b6e2 49.1%, #add1f2 86.5%);
}

html .bg .shape,
body .bg .shape {
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  stroke: #868686;
  fill: none;
}

html #menu,
body #menu {
  background-color: rgba(61, 0, 0, 0.5);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-backdrop-filter: blur(1px);
          backdrop-filter: blur(1px);
  position: fixed;
  top: 0;
  left: 0;
  height: 40px;
  z-index: 70;
  width: 100%;
  padding: 0;
  margin: 0;
}

html #menu li,
body #menu li {
  margin: 1px;
  color: #000;
}

html #menu li a,
body #menu li a {
  text-decoration: none;
  color: bisque;
  padding: 6px 10px;
  display: block;
}

html #menu li:hover,
body #menu li:hover {
  border-bottom: 2px solid rgba(126, 0, 0, 0.6);
}

html #menu li.active,
body #menu li.active {
  color: #fff;
}

html #menu li.active a,
body #menu li.active a {
  padding: 6px 10px;
  color: #fff;
}

@media all and (max-width: 480px) {
  html #menu,
  body #menu {
    display: none;
  }
}

.section {
  padding: 2rem 3rem 2rem 3rem;
}

.section .bigTitle {
  position: absolute;
  left: 50%;
  top: 20%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  font-size: 36px;
}

.section .leftTitle {
  position: absolute;
  left: 30%;
  top: 12%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  font-size: 36px;
}

.section .intro {
  text-align: center;
}

.section .intro h1 {
  padding: 1rem;
  font-size: larger;
}

.section .intro p {
  line-height: 1.25rem;
  padding: 1rem;
}

.section .intro ul {
  margin-top: 1rem;
  margin-bottom: 4rem;
  margin-left: 3rem;
  margin-right: 3rem;
}

.skillsIntro {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  margin-top: 6rem;
}

@media all and (max-width: 480px) {
  .skillsIntro {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    margin-top: 8rem;
  }
}

.selfIntroductionIntro {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.selfIntroductionIntro .cardContainer {
  margin-top: 2rem;
  width: 300px;
  height: 400px;
  position: relative;
  -webkit-perspective: 1000px;
          perspective: 1000px;
  border-radius: 0.4rem;
}

.selfIntroductionIntro .cardContainer .cover,
.selfIntroductionIntro .cardContainer .back {
  width: 100%;
  height: 100%;
  position: absolute;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-transition: -webkit-transform 0.5s ease-in-out;
  transition: -webkit-transform 0.5s ease-in-out;
  transition: transform 0.5s ease-in-out;
  transition: transform 0.5s ease-in-out, -webkit-transform 0.5s ease-in-out;
  text-shadow: 0 0.15rem 0.2rem rgba(0, 0, 0, 0.2);
  border-radius: 0.5rem;
}

.selfIntroductionIntro .cardContainer .cover {
  rotate: rotatey(0deg);
  margin-top: 2rem;
}

.selfIntroductionIntro .cardContainer .cover img {
  width: 150px;
  height: 200px;
  border-radius: 0.5rem;
}

.selfIntroductionIntro .cardContainer .back {
  -webkit-transform: rotatey(-180deg);
          transform: rotatey(-180deg);
}

.resumeInfo {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
      -ms-flex-direction: row;
          flex-direction: row;
  -ms-flex-wrap: nowrap;
      flex-wrap: nowrap;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

@media all and (max-width: 480px) {
  .resumeInfo {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}

.resumeInfo .cardContainer {
  width: 300px;
  height: 400px;
  position: relative;
  -webkit-perspective: 1000px;
          perspective: 1000px;
  border-radius: 0.4rem;
}

@media all and (max-width: 480px) {
  .resumeInfo .cardContainer {
    width: 300px;
    height: 100px;
  }
}

.resumeInfo .cardContainer .cover,
.resumeInfo .cardContainer .back {
  width: 100%;
  height: 100%;
  position: absolute;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  -webkit-transition: -webkit-transform 0.5s ease-in-out;
  transition: -webkit-transform 0.5s ease-in-out;
  transition: transform 0.5s ease-in-out;
  transition: transform 0.5s ease-in-out, -webkit-transform 0.5s ease-in-out;
  text-shadow: 0 0.15rem 0.2rem rgba(0, 0, 0, 0.2);
  border-radius: 0.5rem;
}

.resumeInfo .cardContainer .cover {
  rotate: rotateX(0deg);
  margin-top: 2rem;
}

.resumeInfo .cardContainer .cover img {
  width: 150px;
  height: 200px;
  border-radius: 0.5rem;
}

.resumeInfo .cardContainer .back {
  -webkit-transform: rotateX(-180deg);
          transform: rotateX(-180deg);
}

@media all and (max-width: 480px) {
  .resumeInfo .cardContainer .back {
    display: none;
  }
}

.resumeInfo .cardContainer .back ul {
  text-align: left;
  line-height: 1.5rem;
}

.resumeInfo .cardContainer:hover .cover {
  -webkit-transform: rotateX(180deg);
          transform: rotateX(180deg);
}

@media all and (max-width: 480px) {
  .resumeInfo .cardContainer:hover .cover {
    -webkit-transform: rotateX(0deg);
            transform: rotateX(0deg);
  }
}

.resumeInfo .cardContainer:hover .back {
  -webkit-transform: rotateX(0deg);
          transform: rotateX(0deg);
}

@media all and (max-width: 480px) {
  .resumeInfo .cardContainer:hover .back {
    -webkit-transform: rotateX(0deg);
            transform: rotateX(0deg);
  }
}

.portfolioBox {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.portfolioBox video {
  width: 640px;
  height: 360px;
}

@media (min-width: 760px) and (max-width: 959px) {
  .portfolioBox video {
    width: 480px;
    height: 270px;
  }
}

@media (min-width: 480px) and (max-width: 759px) {
  .portfolioBox video {
    width: 320px;
    height: 180px;
  }
}

@media all and (max-width: 480px) {
  .portfolioBox video {
    width: 160px;
    height: 90px;
  }
}

.portfolioBox a {
  width: 640px;
  height: 360px;
}

@media (min-width: 760px) and (max-width: 959px) {
  .portfolioBox a {
    width: 480px;
    height: 270px;
  }
}

@media (min-width: 480px) and (max-width: 759px) {
  .portfolioBox a {
    width: 320px;
    height: 180px;
  }
}

@media all and (max-width: 480px) {
  .portfolioBox a {
    width: 160px;
    height: 90px;
  }
}

.portfolioBox a img {
  width: 100%;
  height: 100%;
}

.fp-slidesNav {
  left: 50% !important;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}

.fp-slidesNav ul {
  text-align: center;
}

.fp-controlArrow {
  top: 99% !important;
  margin-top: -50px !important;
  display: none;
}

.fp-prev {
  border-width: 18px 16px 18px 0px !important;
  left: 50% !important;
  -webkit-transform: translateX(-1050%);
          transform: translateX(-1050%);
}

.fp-next {
  border-width: 18px 0px 18px 16px !important;
  right: 50% !important;
  -webkit-transform: translateX(1050%);
          transform: translateX(1050%);
}

.iconSize {
  width: 60px;
  height: 60px;
}
